Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: assetmgrmodel::AssetStrip::RackUnitInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::RackUnitInfo Struct Reference

Infos for a single rack unit. More...

`import <AssetStrip.idl;`

## Public Attributes
int | rackUnitNumber
| The rack unit index for the settings, range 0..rackUnitCount-1.
int | rackUnitPosition
| resulting rack unit position (display number)
TagType | type
| type of the asset tag (single, extension, none or unknown)
int | size
| blade extension size (4,8,16), 1 for single tags or 0 if nothing connected
AssetStripConfig::RackUnitSettings | settings
| settings for a single rack unit
int | assetStripCascadePosition
| number of strip in cascade
int | rackUnitRelativePosition
| relative position to strip
int | assetStripNumberOfRackUnits
| number of rack units in strip that this rack unit belongs to

## Detailed Description

Infos for a single rack unit.

In case no asset strip is connected, type defaults to single and size defaults to 1

Definition at line 103 of file AssetStrip.idl.

## Member Data Documentation

## ◆ assetStripCascadePosition

int assetmgrmodel::AssetStrip::RackUnitInfo::assetStripCascadePosition

number of strip in cascade

Definition at line 109 of file AssetStrip.idl.

## ◆ assetStripNumberOfRackUnits

int assetmgrmodel::AssetStrip::RackUnitInfo::assetStripNumberOfRackUnits

number of rack units in strip that this rack unit belongs to

Definition at line 111 of file AssetStrip.idl.

## ◆ rackUnitNumber

int assetmgrmodel::AssetStrip::RackUnitInfo::rackUnitNumber

The rack unit index for the settings, range 0..rackUnitCount-1.

Definition at line 104 of file AssetStrip.idl.

## ◆ rackUnitPosition

int assetmgrmodel::AssetStrip::RackUnitInfo::rackUnitPosition

resulting rack unit position (display number)

Definition at line 105 of file AssetStrip.idl.

## ◆ rackUnitRelativePosition

int assetmgrmodel::AssetStrip::RackUnitInfo::rackUnitRelativePosition

relative position to strip

Definition at line 110 of file AssetStrip.idl.

## ◆ settings

AssetStripConfig::RackUnitSettings assetmgrmodel::AssetStrip::RackUnitInfo::settings

settings for a single rack unit

Definition at line 108 of file AssetStrip.idl.

## ◆ size

int assetmgrmodel::AssetStrip::RackUnitInfo::size

blade extension size (4,8,16), 1 for single tags or 0 if nothing connected

Definition at line 107 of file AssetStrip.idl.

## ◆ type

TagType assetmgrmodel::AssetStrip::RackUnitInfo::type

type of the asset tag (single, extension, none or unknown)

Definition at line 106 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl